Subject: Re: bug#35614: AUCTeX stopped working after upgrade: TeX-shdex-eval: Invalid dialect expression : :classopt.

From: Jakub Narębski <[email-masked]>
Date: Sun, 12 May 2019 19:50:48 +0200

Hello,

On Sun, 12 May 2019 at 11:55, Ikumi Keita <[email-masked]> wrote:
>
> Hi Jakub,
>
> >>>>> Jakub Narębski <[email-masked]> writes:
> > Thankfully I use version of GNU Emacs with AUCTeX preinstalled,
> > so uninstalling ELPA version made AUCTeX work as workaround
> > (AUCTeX-date "2017-06-03", from
> > https://vigou3.github.io/emacs-modified-windows/)
>
> Preinstalled version.  Well, that seems to be the reason of fail.

Unfortunately it turned out not to be the (easy solved) case.

> Having a look at the page linked from the page presented above, the
> site-start.el file[1] contains lines
> ----------------------------------------------------------------------
> (load "auctex.el" nil t t)
> (load "preview-latex.el" nil t t)
> ----------------------------------------------------------------------
> .  This indicates that the preinstalled AUCTeX was not installed from
> ELPA, but by the traditional configure-make-make_install method.  Then,
> installing from ELPA doubles the instance of AUCTeX and they conflict to
> each other.
>
> If you still want to use the updated version from ELPA, it is necessary
> to do either of the following two options:
> 1. Uninstall the preinstalled version of AUCTeX before using ELPA

I tried to use this solution, but it didn't work
(perhaps I did something wrong?).

> 2. Perform the configure-make-make_install method for the development
>    version of AUCTeX source taken from the git repository, after
>    installing unix-like shell on your windows.
>
> The option 1 consists of removing all the AUCTeX-related files and the
> activation codes quoted above from your PC.

Thus I have commented out the following lines in
c:/Program Files/GNU Emacs 25.2/share/emacs/site-list/site-start.el

  ; (load "auctex.el" nil t t)
  ; (load "preview-latex.el" nil t t)

I have also renamed site-list/auctex directory to site-list/auctex-old.
This I think should make Emacs use ELPA-provided AUCTeX, isn't it?

Unfortunately, it didn't work. Here is full backtrace
(from debug-on-error):

(error "Invalid dialect expression : :classopt.")
  signal(error ("Invalid dialect expression : :classopt."))
  error("Invalid dialect expression : %S." :classopt)
  TeX-shdex-eval(:classopt)
  TeX-add-style-hook("pdftex" TeX-PDF-mode-on :classopt)
  LaTeX-common-initialization()
  TeX-latex-mode()
  apply(TeX-latex-mode nil)
  LaTeX-mode()
  funcall-interactively(LaTeX-mode)
  call-interactively(LaTeX-mode record nil)
  command-execute(LaTeX-mode record)
  execute-extended-command(nil "LaTeX-mode" nil)
  funcall-interactively(execute-extended-command nil "LaTeX-mode" nil)
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)

-- 
Jakub Narebski